Subject: Re: bug#79351: 30.2; window-resize-symbollwise

From: Yurii Pytomets <[email-masked]>
Date: Tue, 2 Sep 2025 12:11:57 +0300

Tested with the latest stable Emacs.  Really like that behaviour,
didn't notice thank you!

However looks like there's another issue unrelated to the window
splitting: for some reason, during frame resize, despite it going
line-by-line, the window afterwards is slightly cutted and has
slightly less than a whole number height.

On Tue, Sep 2, 2025 at 11:17 AM martin rudalics <[email-masked]> wrote:
>
>  > Thanks a lot for the patch, feel free to let me know which version I could
>  > build and test.
>
> The patch I sent earlier had a thinko (the same as the one from 2014)
> which I tried to fix now.  You should be able to apply the attached to
> any recent version but I tested with master only.  You don't even have
> to build Emacs, just compile and load mouse.el to test it.
>
> Afterwards we'll have to decide whether we want this change to become
> the default behavior (and obviously check whether it badly affects any
> other instances of line dragging).  Note also, that "characterwise"
> dragging does not take face remapping into account.  The size of a
> character is always the canonical character size of the respective
> frame.
>
> martin

-- 
With best regards,
Yurii Pytomets
Haskell developer | Strong solution
For beautiful ideas